LALSIM-INSPIRAL(1)

NAME
lalsim-inspiral - manual page for lalsim-inspiral 6.0.0

DESCRIPTION
usage: /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_science_lalsimulation/lalsimulation/work/lalsimulation-6.0.0/bin/.libs/lalsim-inspiral [options] options [default values in brackets]:

-h, --help
    print this message and exit

-v, --verbose
    verbose output

-C, --radians
    use radians rather than decimal degrees

-F, --frequency-domain
    output data in frequency domain

-c, --condition-waveform
    apply waveform conditioning

-P, --amp-phase
    output data as amplitude and phase

-a APPROX, --approximant=APPROX

    approximant [TaylorT1]

-w WAVEFORM, --waveform=WAVEFORM

    waveform string giving both approximant and order

-D domain, --domain=DOMAIN

    domain for waveform generation when both are available {"time", "freq"} [use natural domain for output]

-O PHASEO, --phase-order=PHASEO

    twice pN order of phase (-1 == highest) [-1]

-o AMPO, --amp-order=AMPO

    twice pN order of amplitude (-1 == highest) [-1]

-u PHIREF, --phiRef=PHIREF

    reference phase in degrees [0]

-U PERIANOM, --periastron-anomaly=PERIANOM

    mean periastron anomaly in degrees [0]

-W LONGASC, --longitude-ascending-node=LONGASC

    longitude of ascending node in degrees [0]

-e ECC, --eccentricity=ECC

    orbital eccentricity [0]

-R SRATE, --sample-rate=SRATE

    sample rate in Hertz [16384]

-M M1, --m1=M1

    mass of primary in solar masses [1.4]

-m M2, --m2=M2

    mass of secondary in solar masses [1.4]

-d D, --distance=D

    distance in Mpc [1]

-i IOTA, --inclination=IOTA

    inclination in degrees [0]

-X S1X, --spin1x=S1X

    x-component of dimensionless spin of primary [0]

-Y S1Y, --spin1y=S1Y

    y-component of dimensionless spin of primary [0]

-Z S1Z, --spin1z=S1Z

    z-component of dimensionless spin of primary [0]

-x S2X, --spin2x=S2X

    x-component of dimensionless spin of secondary [0]

-y S2Y, --spin2y=S2Y

    y-component of dimensionless spin of secondary [0]

-z S2Z, --spin2z=S2Z

    z-component of dimensionless spin of secondary [0]

-L LAM1, --tidal-lambda1=LAM1

    dimensionless tidal deformability of primary [0]

-l LAM2, --tidal-lambda2=LAM2

    dimensionless tidal deformability of secondary [0]

-q DQM1, --delta-quad-mon1=DQM1

    difference in quadrupole-monopole term of primary [0]

-Q DQM2, --delta-quad-mon2=DQM2

    difference in quadrupole-monopole term of secondary [0]

-s SPINO, --spin-order=SPINO

    twice pN order of spin effects (-1 == all) [-1]

-t TIDEO, --tidal-order=TIDEO

    twice pN order of tidal effects (-1 == all) [-1]

-f FMIN, --f-min=FMIN

    frequency to start waveform in Hertz [40]

-r FREF, --fRef=FREF

    reference frequency in Hertz [0]

-A AXIS, --axis=AXIS

    axis for PhenSpin {View, TotalJ, OrbitalL} [OrbitalL]

-n MODES, --modes=MODES

    allowed l modes {L2, L23, ..., ALL} [L2]

-p KEY1=VAL1,KEY2=VAL2,..., --params=KEY1=VAL1,KEY2=VAL2,...

    extra parameters as a key-value pair

  recognized time-domain approximants:

    TaylorT1, TaylorT2, TaylorT3, SpinTaylorT1, SpinTaylorT4 SpinTaylorT5, PhenSpinTaylor, PhenSpinTaylorRD, EOBNRv2 EOBNRv2HM, TEOBResum_ROM, SEOBNRv1, SEOBNRv2, SEOBNRv2_opt SEOBNRv3, SEOBNRv3_pert, SEOBNRv3_opt, SEOBNRv3_opt_rk4 SEOBNRv4, SEOBNRv4_opt, SEOBNRv4P, SEOBNRv4PHM, SEOBNRv2T SEOBNRv4T, SEOBNRv4_ROM_NRTidalv2, SEOBNRv4_ROM_NRTidalv2_NSBH HGimri, IMRPhenomA, IMRPhenomB, IMRPhenomC, IMRPhenomD IMRPhenomD_NRTidalv2, IMRPhenomNSBH, IMRPhenomHM, IMRPhenomPv2 IMRPhenomPv2_NRTidal, IMRPhenomPv2_NRTidalv2, TaylorEt TaylorT4, EccentricTD, SpinDominatedWf, NR_hdf5, NRSur7dq2 NRSur7dq4, SEOBNRv4HM, NRHybSur3dq8, IMRPhenomXAS IMRPhenomXHM, IMRPhenomPv3, IMRPhenomPv3HM, IMRPhenomXP IMRPhenomXPHM, TEOBResumS, IMRPhenomT, IMRPhenomTHM IMRPhenomTP, IMRPhenomTPHM, SEOBNRv4HM_PA, pSEOBNRv4HM_PA IMRPhenomXAS_NRTidalv2, IMRPhenomXP_NRTidalv2, IMRPhenomXO4a ExternalPython, IMRPhenomXAS_NRTidalv3, IMRPhenomXP_NRTidalv3 SEOBNRv5_ROM_NRTidalv3

  recognized frequency-domain approximants:

    EccentricFD, TaylorF2, TaylorF2Ecc, TaylorF2NLTides TaylorF2RedSpin, TaylorF2RedSpinTidal, SpinTaylorF2 EOBNRv2_ROM, EOBNRv2HM_ROM, SEOBNRv1_ROM_EffectiveSpin SEOBNRv1_ROM_DoubleSpin, SEOBNRv2_ROM_EffectiveSpin SEOBNRv2_ROM_DoubleSpin, SEOBNRv2_ROM_DoubleSpin_HI Lackey_Tidal_2013_SEOBNRv2_ROM, SEOBNRv4_ROM, SEOBNRv4HM_ROM SEOBNRv4_ROM_NRTidal, SEOBNRv4_ROM_NRTidalv2, SEOBNRv4_ROM_NRTidalv2_NSBH SEOBNRv4T_surrogate, IMRPhenomA, IMRPhenomB, IMRPhenomC IMRPhenomD, IMRPhenomD_NRTidal, IMRPhenomD_NRTidalv2 IMRPhenomNSBH, IMRPhenomHM, IMRPhenomP, IMRPhenomPv2 IMRPhenomPv2_NRTidal, IMRPhenomPv2_NRTidalv2, SpinTaylorT4Fourier SpinTaylorT5Fourier, NRSur4d2s, IMRPhenomXAS, IMRPhenomXHM IMRPhenomPv3, IMRPhenomPv3HM, IMRPhenomXP, IMRPhenomXPHM SEOBNRv5_ROM, IMRPhenomXAS_NRTidalv2, IMRPhenomXP_NRTidalv2 IMRPhenomXO4a, ExternalPython, SEOBNRv5HM_ROM, IMRPhenomXAS_NRTidalv3 IMRPhenomXP_NRTidalv3, SEOBNRv5_ROM_NRTidalv3